﻿using Vintagestory.API.Common;

using Vintagestory.API.Config;


namespace ExpandedFoods
{
    public class ExpandedFoods : ModSystem
    {

        public override void Start(ICoreAPI api)
        {
            base.Start(api);

            CookingRecipe.NamingRegistry["augratin"] = new ExpandedFoodsRecipeNames();
            CookingRecipe.NamingRegistry["riceandbeans"] = new ExpandedFoodsRecipeNames();

        }

        public class ExpandedFoodsRecipeNames : ICookingRecipeNamingHelper
        {
            public string GetNameForIngredients(IWorldAccessor worldForResolve, string recipeCode, ItemStack[] stacks)
            {
                return Lang.Get("meal-normal-riceandbeans");
            }
        }
    }
}